package com.yeejoin.amos.fas.business.dao.mapper;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;

import java.util.HashMap;
import java.util.List;

public interface AlarmMapper extends BaseMapper {

	long countPageData(CommonPageInfoParam param);

	long countAlarmData(CommonPageInfoParam param);

	List<HashMap<String, Object>> getAlarmMapperPage(CommonPageInfoParam param);

	List<HashMap<String, Object>> getAlarmSingleMapperPage(CommonPageInfoParam param);

}
